@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

* {
    font-family: "Inter", system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

body {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
}

.password-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    max-width: 400px;
    background-color: pink;
    padding: 20px;
    margin: 20px auto;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0,0,0,0.2);
}

.input-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    border: 2px solid #000;
    border-radius: 5px;
    padding: 10px;
}

.input-container input {
    background: transparent;
    border: none;
    outline: none;
    font-size: 24px;
    letter-spacing: 2px;
}

.input::placeholder {
    letter-spacing: 0;
}

.fa-clone {
    opacity: 0.3;
    transition: 0.3s ease-in-out;
}

input:not(:placeholder-shown) + .fa-clone:hover {
    cursor: pointer;
    opacity: 1;
}

.btn {
    width: 100%;
    background-color: black;
    color: #fff;
    border: none;
    outline: none;
    margin: 10px 0;
    padding: 10px 15px;
    border-radius: 5px;
    font-size: 20px;
    cursor: pointer;
    transition: 0.1s ease-in-out;
}

.btn:hover {
    background-color: black;
}

.btn:active {
    transform: scale(0.9)
}

.alert-container {
    position: fixed;
    right: 20px;
    bottom: 20px;
    width: 300px;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: lightgreen;
    font-size: 20px;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0,0,0,0.2);
    transition: 0.3s ease-in-out;
}

.alert-container.active {
    right: -300px;
}